summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/hicn/docs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/hicn/docs.sh')
-rw-r--r--jjb/scripts/hicn/docs.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/jjb/scripts/hicn/docs.sh b/jjb/scripts/hicn/docs.sh
new file mode 100644
index 00000000..f44b93dd
--- /dev/null
+++ b/jjb/scripts/hicn/docs.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -xe -o pipefail
+
+DOXYGEN_DOC_DIR="build-doxygen/docs/doxygen/html"
+DOC_DIR="docs/build/html"
+SITE_DIR="build/doc/deploy-site"
+
+echo "---> jjb/scripts/hicn/docs.sh"
+
+bash scripts/build-packages.sh sphinx
+bash scripts/build-packages.sh doxygen
+
+if [[ "${JOB_NAME}" == *merge* ]]; then
+ mkdir -p "${SITE_DIR}"/doxygen
+ mv -f "${DOC_DIR}" "${SITE_DIR}"
+ mv -f "${DOXYGEN_DOC_DIR}" "${SITE_DIR}"/doxygen
+ find "${SITE_DIR}" -type f '(' -name '*.md5' -o -name '*.dot' -o -name '*.map' ')' -delete
+fi